Bug 1262661 - [abrt] hamster-time-tracker: today.py:429:on_toggle_called:AttributeError: 'NoneType' object has no attribute 'present'
[abrt] hamster-time-tracker: today.py:429:on_toggle_called:AttributeError: 'N...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hamster-time-tracker (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:cee0bee528cad6e965a00f2826e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-13 21:41 EDT by Dan Callaghan
Modified: 2016-02-12 07:21 EST (History)
3 users (show)

See Also:
Fixed In Version: hamster-time-tracker-2.0-0.2.rc1.fc23 hamster-time-tracker-2.0-0.2.rc1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-12 06:54:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (479 bytes, text/plain)
2015-09-13 21:41 EDT, Dan Callaghan
no flags Details
File: environ (1.51 KB, text/plain)
2015-09-13 21:41 EDT, Dan Callaghan
no flags Details

  None (edit)
Description Dan Callaghan 2015-09-13 21:41:23 EDT
Description of problem:


Version-Release number of selected component:
hamster-time-tracker-1.04-4.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        python /usr/bin/hamster
executable:     /usr/bin/hamster
kernel:         4.1.6-201.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            15550

Truncated backtrace:
today.py:429:on_toggle_called:AttributeError: 'NoneType' object has no attribute 'present'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/hamster/today.py", line 429, in on_toggle_called
    self.window.present()
AttributeError: 'NoneType' object has no attribute 'present'

Local variables in innermost frame:
self: <hamster.today.DailyView object at 0x7efdd83b9b90>
client: <Storage object at 0x7efdd913b870 (hamster+client+Storage at 0x153b400)>
Comment 1 Dan Callaghan 2015-09-13 21:41:26 EDT
Created attachment 1073041 [details]
File: backtrace
Comment 2 Dan Callaghan 2015-09-13 21:41:27 EDT
Created attachment 1073042 [details]
File: environ
Comment 3 Dan Callaghan 2015-09-13 21:45:37 EDT
Triggered by running "hamster toggle" while Hamster was already running, but with no window shown.

Not entirely clear if "hamster toggle" is supposed to work or not... I found this: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=695926.
Comment 4 Fedora Update System 2016-02-02 15:34:48 EST
hamster-time-tracker-2.0-0.1.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-401ab10316
Comment 5 Fedora Update System 2016-02-02 15:45:22 EST
hamster-time-tracker-2.0-0.1.rc1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e5b4e5be06
Comment 6 Fedora Update System 2016-02-02 17:04:15 EST
hamster-time-tracker-2.0-0.2.rc1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-01bd33e7e6
Comment 7 Fedora Update System 2016-02-02 17:04:16 EST
hamster-time-tracker-2.0-0.2.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7bfef7108
Comment 8 Fedora Update System 2016-02-03 18:01:23 EST
hamster-time-tracker-2.0-0.2.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7bfef7108
Comment 9 Fedora Update System 2016-02-03 18:25:54 EST
hamster-time-tracker-2.0-0.2.rc1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-01bd33e7e6
Comment 10 Fedora Update System 2016-02-12 06:53:42 EST
hamster-time-tracker-2.0-0.2.rc1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-02-12 07:21:25 EST
hamster-time-tracker-2.0-0.2.rc1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.